.view[name='requestDetail'] {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
}
.view[name='requestDetail'] > .header {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 64px;
}
.view[name='requestDetail'] > .header > .side:first-child > .button {
    padding: 24px;
}
.view[name='requestDetail'] > .header > .side:first-child > .button > img {
    display: block;
    height: 16px;
}
.view[name='requestDetail'] > .header > .center {
    display: inline-block;
    height: 100%;
    text-align: center;
}
.view[name='requestDetail'] > .header > .center > div {
    font-size: 18px;
    font-weight: bold;
    padding-top: 18px;
}
.view[name='requestDetail'] > .header > .side:last-child > .button {
    padding: 22px;
}
.view[name='requestDetail'] > .header > .side:last-child > .button > img {
    display: block;
    width: 20px;
    height: 20px;
    rotate: 90deg;
}
.view[name='requestDetail'] > .content {
    position: absolute;
    top: 64px;
    right: 0;
    bottom: 0px;
    left: 0;
    padding: 24px 24px 105px;
    overflow-y: auto;
    margin-right: auto;
    margin-left: auto;
}
.view[name='requestDetail'] > .content > .request > div:not(:last-child) {
    margin-bottom: 20px;
}
.view[name='requestDetail'] > .content > .request > .title {
    font-weight: 600;
    font-size: 16px;
}
.view[name='requestDetail'] > .content > .request > .title > span {
    font-weight: 600;
    font-size: 16px;
}
.view[name='requestDetail'] > .content > .request > .title > .button {
    display: inline-block;
    vertical-align: middle;
    padding: 4px;
    border-radius: 8px;
}
.view[name='requestDetail'] > .content > .request > .title > .button > img {
    width: 16px;
    height: 16px;
    display: block;
}
.view[name='requestDetail'] > .content > .request > .information {
    border-radius: 16px;   
    padding: 16px;
}
.view[name='requestDetail'] > .content > .request > .information > div {
    padding: 12px 16px;
    overflow: hidden;
}
.view[name='requestDetail'] > .content > .request > .information > div > .button > img {
    width: 18px;
    display: block;
}
.view[name='requestDetail'] > .content > .request > .drivers > .title {
    margin-bottom: 8px;
    font-weight: 600;
    font-size: 16px;
}
.view[name='requestDetail'] > .content > .request > .drivers > .description {
    font-size: 12px;
    font-weight: 500;
    margin-bottom: 16px;
}
.view[name='requestDetail'] > .content > .request > .drivers > .items {
    border-radius: 16px;   
    padding: 16px;
}
.view[name='requestDetail'] > .content > .request > .drivers > .items > .driver {
    padding-top: 12px;
    padding-bottom: 12px;
    overflow: hidden;
}
.view[name='requestDetail'] > .content > .request > .drivers > .items > .driver > .name {
    font-size: 16px;
    font-weight: bold;
}
.view[name='requestDetail'] > .content > .request > .drivers > .items > .driver > .name > div {
    width: 8px;
    display: inline-block;
}
.view[name='requestDetail'] > .content > .request > .drivers > .items > .driver > .button {
    padding: 8px;
    border-radius: 16px;
}
.view[name='requestDetail'] > .content > .request > .drivers > .items > .driver > .button > img {
    width: 14px;
    height: 14px;
    display: block;
}
.view[name='requestDetail'] > .button {
    position: absolute;
    right: 24px;
    bottom: 24px;
    left: 24px;
    border-radius: 16px;
    text-align: center;
    padding-top: 16px;
    padding-bottom: 16px;
    font-size: 16px;
    font-weight: 600;
}

#panel[ids='cancelOrRemove'] {
    width: 320px;
    padding: 24px;
    text-align: center;
    border-radius: 20px;
    top: 50%;
    bottom: unset;
    left: 50%;
    transform: translate(-50%, -50%);
}
#panel[ids='cancelOrRemove'] > .content > .text {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 20px;
}
#panel[ids='cancelOrRemove'] > .content > .buttons > .button {
    border-radius: 10px;
    padding: 16px;
    font-weight: 600;
    font-size: 16px;
}
#panel[ids='cancelOrRemove'] > .content > .buttons > .button:not(:last-child) {
    margin-bottom: 16px;
}
#panel[ids='cancelReservation'],
#panel[ids='removeReservation'] {
    max-width: 400px;
    margin-right: auto;
    margin-left: auto;
    padding: 20px 0 20px;
}
#panel[ids='cancelReservation'] > .content,
#panel[ids='removeReservation'] > .content {
    overflow: hidden;
}
#panel[ids='cancelReservation'] > .content > .imageWrapper,
#panel[ids='removeReservation'] > .content > .imageWrapper,
#panel[ids='cancelOrRemove'] > .content > .imageWrapper {
    width: 44px;
    height: 44px;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
    border-radius: 8px;
    margin-bottom: 16px;
}
#panel[ids='cancelReservation'] > .content > .imageWrapper > img,
#panel[ids='removeReservation'] > .content > .imageWrapper > img,
#panel[ids='cancelOrRemove'] > .content > .imageWrapper > img {
    width: 24px;
    height: 24px;
    margin: 10px;
}
#panel[ids='cancelReservation'] > .content > .title,
#panel[ids='removeReservation'] > .content > .title {
    font-weight: 700;
    font-size: 18px;
    text-align: center;
    margin-bottom: 8px;
}
#panel[ids='cancelReservation'] > .content >.description,
#panel[ids='removeReservation'] > .content >.description {
    margin-bottom: 18px;
    text-align: center;
    font-weight: 500;
}
#panel[ids='cancelReservation'] > .content > .selectAll,
#panel[ids='removeReservation'] > .content > .selectAll {
    margin-bottom: 16px;
}
#panel[ids='cancelReservation'] > .content > .selectAll > div,
#panel[ids='removeReservation'] > .content > .selectAll > div {
    font-weight: 600;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='cancelReservation'] > .content > .selectAll > div,
#panel[ids='removeReservation'] > .content > .selectAll > div,
#panel[ids='cancelReservation'] > .content > .selectAll > img,
#panel[ids='removeReservation'] > .content > .selectAll > img {
    vertical-align: middle;
}
#panel[ids='cancelReservation'] > .content > .drivers,
#panel[ids='removeReservation'] > .content > .drivers {
    margin-bottom: 24px;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver,
#panel[ids='removeReservation'] > .content > .drivers > .driver {
    padding: 16px 20px;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver > img,
#panel[ids='removeReservation'] > .content > .drivers > .driver > img {
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver > div,
#panel[ids='removeReservation'] > .content > .drivers > .driver > div {
    display: inline-block;
    vertical-align: middle;
    font-weight: 500;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver:not(:last-child),
#panel[ids='removeReservation'] > .content > .drivers > .driver:not(:last-child) {
    margin-bottom: 6px;
}
#panel[ids='cancelReservation'] > .content > .button,
#panel[ids='removeReservation'] > .content > .button {
    border-radius: 16px;
    text-align: center;
    padding-top: 16px;
    padding-bottom: 16px;
    font-size: 16px;
    font-weight: 600;
    width: calc(50% - 27px);
}

@media (max-width: 799px) {
    .view[name='requestDetail'] {
        width: 100%;
    }
}
@media (min-width: 800px) {
    .view[name='requestDetail'] {
        width: 480px;
    }
}